/**
 *   ПОЛНОЕ УДАЛЕНИЕ ОПУБЛИКОВАННОЙ СТАТЬИ (ТОЛЬКО ГЛАВНЫМ РЕДАКТОРОМ)
 *   Copyright © 2021, А.М.Гольдин. ISC license
 */
"use strict";

// Возвращает success или none
//   id - это id удаляемой статьи :)
// user - это данные клиента [3, "ivanov", "Иванов", "Ян", "Карлович"]
module.exports = async (id, user) => {
   try {
      // Является ли юзер главным редактором?
      // Опубликована ли уже статья?
      if (user[1] !== ADMIN) return "none";
      let res = await dbFind("articles", {_id: id});
      if (!res.length) return "none";      
      if (res[0].status !== 7) return "none";

      // Удаляем папку и запись из базы
      try {
         await fs.promises.rm(
            __dirname + "/../www/pub/" + id, {recursive: true}
         );
      } catch(e) {return "none";}

      db.articles.remove({_id: id}, {});

      return "success";
   }
   catch(e) {return "none";}
};
